Subject: Re: align-regexp: Infinite loop with default regexp
From: Teemu Likonen <[email-masked]>
To: [email-masked]
Date: Sun, 14 Jun 2009 08:52:52 +0300

On 2009-05-30 20:37 (+0300), Teemu Likonen wrote:

> The align-regexp command enters infinite loop when it is used with the
> default regexp and with REPEAT argument. It's seems to be because the
> regexp \s-* matches also zero-length strings.

I have misunderstood the behaviour of the regexp. The default space
group \s-* is about the spaces to modify before some other matching
regexp. It's a bit unexpected to me but I originally reported about
infinite loop which is indeed fixed in Emacs 23. So let's close this
bug.